| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Types | List of all members
NTuple::Item< TYP > Class Template Reference

Class acting as a smart pointer holding a N tuple _Item. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Item< TYP >:
[legend]
Collaboration diagram for NTuple::Item< TYP >:
[legend]

## Public Member Functions
| Item ()=default
| Standard Constructor. More...
| operator const TYP () const
| Automatic type conversion. More...
TYP | operator * ()
| Dereference operator for pointers. More...
const TYP | operator * () const
| Dereference operator for pointers(CONST) More...
Item & | operator++ ()
Item & | operator++ (int)
Item & | operator-- ()
Item & | operator-- (int)
Item & | operator= (const TYP data)
| Assignment operator. More...
template<class T >
Item & | operator= (const Item< T > &data)
| Assignment operator. More...
Item< TYP > & | operator+= (const TYP data)
Item< TYP > & | operator-= (const TYP data)
Item< TYP > & | operator *= (const TYP data)
Item< TYP > & | operator/= (const TYP data)
Public Member Functions inherited from NTuple::_Accessor< _Item< TYP > >
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
_Item< TYP > * | operator-> ()
| Dereference operator. More...
const _Item< TYP > * | operator-> () const
| Dereference operator (CONST) More...
const Range< _Item< TYP > > & | range () const
| Access the range. More...

## Private Types
typedef Item< TYP > | _My

## Additional Inherited Members
Protected Attributes inherited from NTuple::_Accessor< _Item< TYP > >
_Item< TYP > * | m_ptr
| Pointer to instance. More...

## Detailed Description

### template<class TYP>
class NTuple::Item< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 48 of file NTuple.h.

## Member Typedef Documentation

## ◆ _My

template<class TYP>

typedef Item<TYP> NTuple::Item< TYP >::_My
| private

Definition at line 247 of file NTuple.h.

## Constructor & Destructor Documentation

## ◆ Item()

template<class TYP>

NTuple::Item< TYP >::Item | ( |  | ) |
| default

Standard Constructor.

## Member Function Documentation

## ◆ operator *() [1/2]

template<class TYP>

TYP NTuple::Item< TYP >::operator * | ( |  | ) |
| inline

Dereference operator for pointers.

Definition at line 255 of file NTuple.h.

255 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator *() [2/2]

template<class TYP>

const TYP NTuple::Item< TYP >::operator * | ( |  | ) | const
| inline

Dereference operator for pointers(CONST)

Definition at line 257 of file NTuple.h.

257 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator *=()

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator *= | ( | const TYP | data | ) |
| inline

Definition at line 282 of file NTuple.h.

282 {
283 this->m_ptr->set( this->m_ptr->get() * data );
284 return *this;
285 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator const TYP()

template<class TYP>

NTuple::Item< TYP >::operator const TYP | ( |  | ) | const
| inline

Automatic type conversion.

Definition at line 253 of file NTuple.h.

253 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator++() [1/2]

template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( |  | ) |
| inline

Definition at line 259 of file NTuple.h.

259 { return *this += TYP( 1 ); }

## ◆ operator++() [2/2]

template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( | int |  | ) |
| inline

Definition at line 260 of file NTuple.h.

260 { return *this += TYP( 1 ); }

## ◆ operator+=()

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator+= | ( | const TYP | data | ) |
| inline

Definition at line 274 of file NTuple.h.

274 {
275 this->m_ptr->set( this->m_ptr->get() + data );
276 return *this;
277 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator--() [1/2]

template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( |  | ) |
| inline

Definition at line 261 of file NTuple.h.

261 { return *this -= TYP( 1 ); }

## ◆ operator--() [2/2]

template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( | int |  | ) |
| inline

Definition at line 262 of file NTuple.h.

262 { return *this -= TYP( 1 ); }

## ◆ operator-=()

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator-= | ( | const TYP | data | ) |
| inline

Definition at line 278 of file NTuple.h.

278 {
279 this->m_ptr->set( this->m_ptr->get() - data );
280 return *this;
281 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator/=()

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator/= | ( | const TYP | data | ) |
| inline

Definition at line 286 of file NTuple.h.

286 {
287 this->m_ptr->set( this->m_ptr->get() / data );
288 return *this;
289 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator=() [1/2]

template<class TYP>

Item& NTuple::Item< TYP >::operator= | ( | const TYP | data | ) |
| inline

Assignment operator.

Definition at line 264 of file NTuple.h.

264 {
265 this->m_ptr->set( data );
266 return *this;
267 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator=() [2/2]

template<class TYP>
template<class T >

Item& NTuple::Item< TYP >::operator= | ( | const Item< T > & | data | ) |
| inline

Assignment operator.

Definition at line 270 of file NTuple.h.

270 {
271 this->m_ptr->set( data->get() );
272 return *this;
273 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:224

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h